package cn.stylefeng.workflow.instance.api;

import cn.stylefeng.workflow.api.pojo.InstanceContext;
import cn.stylefeng.workflow.api.pojo.InstanceVariable;

public interface InstanceVariableApi {

    InstanceVariable getInstanceVariableValue(Long instanceId);

    void updateVariableJson(InstanceContext instanceContext);

    void updateInstanceVariable(Long instanceId, InstanceVariable instanceVariable);

}
